#!/usr/bin/env python

from enum import Enum

from aman.types.Runway import Runway

class RunwayAssignmentType(Enum):
    AircraftType = 1
    GateAssignment = 2

class RunwaySequencing:
    def __init__(self, runway : Runway):
        self.Runway = runway
        self.Spacing = 3
        self.ShallAssignments = {}
        self.ShouldAssignments = {}
        self.MayAssignments = {}